<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="v50bDudanetEJB.V50bDudanet_vgbo4w_EOImpl"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="fncVerFicheroConsulta(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncVerFicheroDetalleConsulta(java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarConsultasBandejaEntrada(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncNuevaConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarConsultaCatalogo(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarAmbitos(v50b.v50bBeans.V50bAmbitoBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarAmbito(v50b.v50bBeans.V50bAmbitoBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirAmbito(v50b.v50bBeans.V50bAmbitoBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerPerfilUsuario(v50b.v50bClasesComunes.v50bBeansComunes.V50bUsuarioBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarTiposTrabajo(v50b.v50bBeans.V50bTipoTrabajoBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarTiposTrabajo(v50b.v50bBeans.V50bTipoTrabajoBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirTiposTrabajo(v50b.v50bBeans.V50bTipoTrabajoBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarMotivos(v50b.v50bBeans.V50bMotivosBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarMotivos(v50b.v50bBeans.V50bMotivosBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirMotivos(v50b.v50bBeans.V50bMotivosBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarDificultad(v50b.v50bBeans.V50bDificultadBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarDificultad(v50b.v50bBeans.V50bDificultadBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirDificultad(v50b.v50bBeans.V50bDificultadBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarAmbitosDificultad(v50b.v50bBeans.V50bDificultadBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarConfiguracion(v50b.v50bBeans.V50bConfiguracionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarConfigTextos(v50b.v50bBeans.V50bConfiguracionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncEliminarConfiguracion(v50b.v50bBeans.V50bConfiguracionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarConfiguracion(v50b.v50bBeans.V50bConfiguracionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarBuzon(v50b.v50bBeans.V50bConfiguracionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirBuzon(v50b.v50bBeans.V50bConfiguracionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarSubcategorias(v50b.v50bBeans.V50bSubcategoriasBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarSubcategorias(v50b.v50bBeans.V50bSubcategoriasBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirSubcategorias(v50b.v50bBeans.V50bSubcategoriasBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarAmbitosSubcategoria(v50b.v50bBeans.V50bSubcategoriasBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarProfesiones(v50b.v50bBeans.V50bProfesionesBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarProfesiones(v50b.v50bBeans.V50bProfesionesBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirProfesiones(v50b.v50bBeans.V50bProfesionesBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarUsuariosRegistrados(v50b.v50bBeans.V50bSuscriptorBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDetalleUsuarioRegistrado(v50b.v50bBeans.V50bSuscriptorBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncNuevoUsuarioRegistrado(v50b.v50bBeans.V50bSuscriptorBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarUsuarioRegistrado(v50b.v50bBeans.V50bSuscriptorBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncEliminarUsuarioRegistrado(v50b.v50bBeans.V50bSuscriptorBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarPassword(v50b.v50bBeans.V50bSuscriptorBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCargaEmailRemitente()"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarResolutores(v50b.v50bBeans.V50bResolutoresBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarResolutores(v50b.v50bBeans.V50bResolutoresBean,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAniadirResolutores(v50b.v50bBeans.V50bResolutoresBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarAmbitosResolutor(v50b.v50bBeans.V50bResolutoresBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarConsultasEstadoConsultas(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarDificultadesAmbito(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerTexto(java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerTextos(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarConsultasCatalogoConsultas(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDetalleConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncComboSubcategoriaDificultad(java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncComboSubcategoriaResolutorDificultad(java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscSituacionResolutoresArea(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarSubcategoriasAmbito(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarConsultasHistoricoConsultas(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAsignarResolutor(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncReenviarConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarVisibleInternet(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncVisibleInternetHistConsultas(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncNoVisibleInternetHistConsultas(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDenegarConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncResponderConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRechazarConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCatalogarConsulta(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerPeriodoServInactivo(v50b.v50bBeans.V50bCalendarioBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncSolicitarInformacion(v50b.v50bBeans.V50bConsultaBean,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerDatosGraficos(v50b.v50bBeans.V50bCriteriosConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerDatosAmbitos(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscSitResolutores(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarCalendario(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarNotificaciones(v50b.v50bBeans.V50bConsultaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRespondeNotificacion(v50b.v50bBeans.V50bNotificacionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscar24Horas(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarPendientes(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarRetrasadas(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBusqEncuestas(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncExcelEncuestasResultados(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCargarEncuesta(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncEliminarEncuesta(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCopiarEncuesta(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBusqPreguntas(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncVerFicheroNotif(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarPreguntas(v50b.v50bBeans.V50bEncuestaBean,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBusqRespuestas(v50b.v50bBeans.V50bEncuestaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncModificarRespuestas(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarEncuestaResultados(v50b.v50bBeans.V50bRespuestasBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
